Skip to main content
PATCH

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

agentId
string
required

The ID of the runner to update

Body

application/json
description
string

The updated description to be applied to the Runner

Maximum string length: 500
Example:

"An AWS Runner"

enableAutoUpdates
string

Set whether the Runner should automatically update.

Note, Snowflake runners cannot have this value changed.

Example:

true

name
string

The updated name to be applied to the Runner

Required string length: 1 - 30
Example:

"AWS Runner"

restrictedAccess
string

Set whether the Runner should be restricted to a specific set of projects. If set to true, the Runner will only be applicable to projects it is scoped to have access to.

Note, this cannot be set for Streaming Runners.

Example:

true

trackName
enum<string>

The version track name to set for the Runner. Must be either CURRENT or STABLE.

Note, Snowflake runners cannot be updated.

Available options:
CURRENT,
STABLE
Example:

"CURRENT"

Response

Runner successfully updated